function result=ICvar2(Y,nlagsmax,const,criterion);
%INPUTS:    Y is the vector of data (Txk), where T is n of obs 
%           nlagsmax is the max n. of lags in the criterion
%           const=1 if want a constant in the VAR (otherwise =0)
%           criterion='AIC' for AIC, and 'BIC' for BIC
%note: the min n. of lags is 0
 [T,k]=size(Y); 
 if criterion=='BIC'; penalty=log(T); elseif criterion=='AIC'; penalty=2; end;
 BICv=[];     
 for p=1:1:nlagsmax;
    BICv=[BICv;log(det(var_sigma(Y,p,const)))+k*(k*p+1)*penalty/T];
 end; 
[i,j]=find(min(BICv));
result=i;