function result = cross(a,x,y);
%Interpolates from a grid of critical values

%a is list of grid points
%x is upper line
%y is lower line

%a=pvalue; x=x*ones(length(pvalue),1); y=xvalue;

diff=x-y;
c=[a,diff];
d=find(c(:,2)<=0); 
if isempty(d)==1; disp('no intersection'); 
else d=d(1,1);
eup=[a(d,1),diff(d,1)];
elow=[a(d+1,1),diff(d+1,1)];
%do a linear interpolation
b=olsbeta([eup(1,2);elow(1,2)],[ones(2,1),[eup(1,1);elow(1,1)]]);
result=-b(1,1)/b(1,2);
end;
