%The following files update the empirical results in: 
%Chen, Rogoff and Rossi,  
%'Can Exchange Rates Forecast Commodity Prices?', CRR hereafter
%version December 2013
%Note that this version of the codes is an improved version of the 2009 version of the codes (CRR09.zip).

Main.m    (using usdata=1)    replicates  Tables 1 2 3 4 and 8 (includes ENDOG tests and RWWD) as well as Table C1
MainPartB.m (using usdata=1)  replicates  the marginal effects in Tables 1 2 3 
Table5.m     replicates  Table 5 (global comm prices in multiv regressions and forecast combin) by selecting wantcountries=2 for AU-NZ, wantcountries=3 for AU-NZ-CAN and wantcountries=4 for AU-NZ-CAN-CHI
 Note Figures 1 & 2 are obtained in Table5 by choosing wantcountries=3
 Recall: for forecast combination, the window size has to be changed in testsforeccomb2 and testsforeccomb2RWWD
Table6.m           replicates  Table 6 (global commodity prices for individual exchange rates)
  Note: Table 6b obtained by using tableb=1 in Table6.m for Panel A-C, and by using tableb=1 and wantcountries=3 in Table5.m for Panel D (for the multiv forecasts)
  
Figure5.m    replicates Figure 5 for DJ-AIG (change lines 67-68 in  plotforectestshacfwd.m to change the forward regression model)
Main.m    (using usdata=0)    replicates  Table 7a (crossrates for NEER) 
Main.m    (using usdata=2)    replicates  Table 7b (crossrates for the U.K) 
Main.m    (using usdata=3)    replicates  Table 7d (crossrates for YEN) 
  (for marginal effects in table 7 use MainPartB.m with relevant usdata=... choice)
FigureC1.m                   replicates Figure C1: (OOS tests over time)

In all files, set lagdep=1 for the AR(p) benchmark 
and set lagdep=0 for the RW benchmark in OOS regression 

A couple minor fixes to our earlier code include the following:
- the codes replicating Table VII in CRR have been merged in the codes generating Tables I-IV
- the code for Table 5 has been modified to include the constant in the estimation of the AR model, as clear from the text in CRR (2010), in 
which of course equation 6 should include the lagged commodity prices for the models to be nested, as is clear from the discussion,  
and to select the vector used in the forecasts in one of the panels (avoiding one missing observation)
- the code for Table 8 has been updated to avoid overdifferencing the variables, without changing the qualitative results
- the label in figure A1 has been changed to Clark and McCracken
- note that the formula for the Clark McCracken's test statistic in the codes updates the formula reported in the Appendix of CRR (2010)
- note the changes to the number of restrictions in the p-value calculation of the RWWD for the ENCNEW test

Note that the following are not updated: Table C2, Table 9 and Figure 3
    
