function result = ooscv(r,a,m1,m2)

%This function finds the cumulative value of a chi-square with r 
%degrees of freedom with a right area of a (admissible values 
%shown below)
%r=#restrictions
%m1=1,2 and m2=1,2,3 indicate respectively:
%m1=1 is the dm oos, m1=2 is the encnew oos
%m2=1 is recursive, m2=2 is rolling, m2=3 is fixed
%all for #Regress=#Predict ie pi=1
%a can be 0.01, 0.05, 0.10
%data from todd and mccracken

load ooscvdat.txt;
if m1==1 data=ooscvdat(:,1:9); end;
if m1==2 data=ooscvdat(:,10:18); end;
if m2==1 data1=data(:,1:3); end;
if m2==2 data1=data(:,4:6); end;
if m2==3 data1=data(:,7:9); end;

if r<=10 row=data1(r,:); end;
if r>10; result=('not available'); end;

if a==0.01 col=1; end;
if a==0.05 col=2; end;
if a==0.10 col=3; end;

result=row(1,col);